LinuxQMISDK: DataBearerTech Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
DataBearerTech Struct Reference

## Data Fields
ULONG | techType
ULONG | ratValue
ULONGLONG | soMask

## Detailed Description

Network information structure

Parameters

  TechType | Technology type Values: 0 - WDS_BEARER_TECH_NETWORK_3GPP - 3GPP 1 - WDS_BEARER_TECH_NETWORK_3GPP2 - 3GPP2
  ratValue | Radio Access Technology (RAT) value Values: 0x00 - WDS_BEARER_TECH_RAT_EX_NULL_BEARER - NULL bearer 0x01 - WDS_BEARER_TECH_RAT_EX_3GPP_WCDMA - 3GPP WCDMA 0x02 - WDS_BEARER_TECH_RAT_EX_3GPP_GERAN - 3GPP GERAN 0x03 - WDS_BEARER_TECH_RAT_EX_3GPP_LTE - 3GPP LTE 0x04 - WDS_BEARER_TECH_RAT_EX_3GPP_TDSCDMA - 3GPP TDSCDMA 0x05 - WDS_BEARER_TECH_RAT_EX_3GPP_WLAN - 3GPP WLAN 0x64 - WDS_BEARER_TECH_RAT_EX_3GPP_MAX - 3GPP maximum 0x65 - WDS_BEARER_TECH_RAT_EX_3GPP2_1X - 3GPP2 1X 0x66 - WDS_BEARER_TECH_RAT_EX_3GPP2_HRPD - 3GPP2 HRPD 0x67 - WDS_BEARER_TECH_RAT_EX_3GPP2_EHRPD - 3GPP2 EHRPD 0x68 - WDS_BEARER_TECH_RAT_EX_3GPP2_WLAN - 3GPP2 WLAN 0xC8 - WDS_BEARER_TECH_RAT_EX_3GPP2_MAX - 3GPP2 maximum
  SOMask | Service Option (SO) mask to indicate the service option or type of application. An SO mask value of zero indicates that this field is ignored. Values: 0x00 - SO mask unspecified 3GPP SO mask: 0x01 - WCDMA 0x02 - HSDPA 0x04 - HSUPA 0x08 - HSDPAPLUS 0x10 - DC HSDPAPLUS 0x20 - 64 QAM 0x40 - HSPA 0x80 - GPRS 0x100 - EDGE 0x200 - GSM 0x400 - S2B 0x800 - LTE limited service 0x1000 - LTE FDD 0x2000 - LTE TDD 3GPP2 SO mask: 0x01000000 - 1X IS95 0x02000000 - 1X IS2000 0x04000000 - 1X IS2000 REL A 0x08000000 - HDR REV0 DPA 0x10000000 - HDR REVA DPA 0x20000000 - HDR REVB DPA 0x40000000 - HDR REVA MPA 0x80000000 - HDR REVB MPA 0x100000000 - HDR REVA EMPA 0x200000000 - HDR REVB EMPA 0x400000000 - HDR REVB MMPA 0x800000000 - HDR EVDO FMC

## Field Documentation

ULONG DataBearerTech::ratValue

ULONGLONG DataBearerTech::soMask

ULONG DataBearerTech::techType